<?php
/**
 * The template for displaying image attachments
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */

get_header(); 
?>
 <section class="fs-banner-inner all-posts">
    <div class="container">
      <div class="fs-banner-content">
        <h1><?php the_title(); ?></h1>
		<!-- Breadcrumb row -->
		<ul class="fs-breadcrumb">
            <li>
            	<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
            		<?php _e('Home', 'aztecs'); ?>
            	</a> 
            	<span><i class="fas fa-caret-right"></i></span>
            </li>
            <li ><?php the_title(); ?></li>
        </ul>
      </div>
    </div><!-- ./containerr -->
  </section><!-- /.banner -->
<section class="fs-news p-t70 p-b70">
	<div class="container">
		<div class="row">
			<div class="col-lg-9 col-md-12 col-sm-12 col-xs-12">
				<?php
					// Start the loop.
					while ( have_posts() ) {
                        the_post();
						get_template_part( 'template-parts/content/attachment', 'single' );
					// End the loop.
					}
				?>
			</div>
            <div class="col-lg-3 col-md-8 col-sm-12 col-xs-12">
                <div class="fs-sidebar">
                    <?php dynamic_sidebar('aztecs_sidebar'); ?>
                </div>
            </div>
		</div>
	</div><!-- ./container -->
</section><!-- ./fs-news -->
<?php
get_footer();