<?php
$active_tab  = (isset($_GET['active_tab']) && trim($_GET['active_tab']) != "") ? trim($_GET['active_tab']) : 'basic';
$basic       = $import_demo = $speed = $license = false;
if ($active_tab == "basic") { $basic = "active"; }
elseif ($active_tab == "import-demo") { $import_demo = "active"; }
else { $basic = "active"; }
?>
<div class="fs-theme-options-settings">
	<div class="fs-theme-options-holder">
		<div class="tabs fs-options-tab-nav">
			<a class="<?php echo $basic;?>" 
			href="<?php echo admin_url('/themes.php?page=demo-fudutheme&active_tab=basic');?>">
				<?php _e('General','aztecs');?>
			</a>
			<a class="<?php echo $import_demo;?>" href="<?php echo admin_url('/themes.php?page=demo-fudutheme&active_tab=import-demo');?>"> 
				<?php _e('Import Demo','aztecs');?>
			</a>
		</div>
        <div class="fs-theme-options-content">
	<?php global $msg;
		if($msg) { ?>
		<div id="message" class="updated notice notice-success is-dismissible import-success">
			<p><?php echo $msg; ?></p>
			<button type="button" class="notice-dismiss">
				<span class="screen-reader-text"><?php _e('Dismiss this notice.','aztecs');?></span>
			</button>
		</div>
	<?php } ?>
	<div id="message" class="updated notice notice-success is-dismissible htaccess-update" 
	    style="display:none;margin:5px 0px 2px;">
		<p><?php _e("Code Updated Successfully!","aztecs");?></p>
		<button type="button" class="notice-dismiss">
			<span class="screen-reader-text"> <?php _e('Dismiss this notice.','aztecs');?></span>
		</button>
	</div>
<?php if ($basic) { ?>

	<div class="fs-themes-setting basic-tab-panel">
		<h2 class="fs-setting-title"><?php _e('General settings','aztecs');?></h2>
		<div class="theme-browser rendered">
			<div class="theme-id-container">
				<div class="theme-actions">
					<h2 class="export-h2 fs-option-title"><?php _e('Export','aztecs');?></h2>
					<p> 
						<?php _e('Click the button below to export the customization settings for this theme.','aztecs');?>
					</p>
					<a class="button button-primary customize load-customize hide-if-no-customize" 
					    href="<?php echo admin_url('themes.php'); ?>?page=demo-fudutheme&export=theme"> 
						<?php _e('Export','aztecs');?>
					</a>
				</div>
			</div>
		</div></br>

		<div class="theme-browser rendered">
			<div class="theme-id-container">
				<div class="theme-actions">
					<h2 class="fs-option-title"><?php _e('Import','aztecs');?></h2>
					<p><?php _e('Upload a file to import customization settings for this theme.','aztecs');?></p>
					<form action="<?php echo admin_url('themes.php'); ?>?page=demo-fudutheme&import=theme"
					     method="post" enctype="multipart/form-data">
						<input type="file" required name="import_file" id="import_file">
						<input type="submit" class="button button-primary customize load-customize hide-if-no-customize" value="Import" name="submit" id="submit">
						<span class="file_error"></span>
					</form>
					
				</div>
			</div>
		</div>
	</div>

<?php } elseif ($import_demo) { ?>

	<div class="fs-themes-setting import-demo-tab-panel">
		<h2 class="fs-setting-title"><?php _e('Import Demo','aztecs');?></h2>
		<div class="theme-browser rendered">
			<div class="fs-theme-import">
				<?php
					$is_demo_imported = get_option('fst_demo_import_flag', false); 
					$set_active_class = ( $is_demo_imported == true ) ? 'active': '';
				?>
				<div class="fs-theme-data fs-theme <?php echo $set_active_class; ?>" aria-describedby="fudutheme-action fudutheme-name" data-slug="fudutheme" id="demo_import_div">
					<div class="theme-screenshot">
						<img src="<?php echo AZTECS_URI ;?>/screenshot.png" alt="">
						<img class="loader-img" src="<?php echo get_template_directory_uri(); ?>/fst-framework/fst-customizer/assets/images/loader.gif" alt="" style="display: none;">
					</div>	

					<div class="theme-id-container fs-theme-caption">
						<h2 class="theme-name" id="fudutheme-name"><?php _e('Aztecs','aztecs');?></h2>

						<div class="theme-actions">
							<a class="button button-primary customize load-customize hide-if-no-customize demo-import"
							    onclick="importDemoSections()" href="javascript:void(0);">
							   <?php _e('Import demo content', 'aztecs'); ?></a>
						</div>
					</div>
				</div>
				<div class="fs-theme-data fs-theme" aria-describedby="fudutheme-action fudutheme-name"
				   data-slug="fudutheme">
					<div class="theme-screenshot">
						<img src="<?php echo AZTECS_URI ;?>/fst-framework/fst-customizer/assets/images/corporate-agency.png" alt="">
					</div>	
					<div class="theme-id-container fs-theme-caption">
						<div class="theme-actions">
							<a class="button button-primary customize load-customize hide-if-no-customize" 
							href="<?php echo AZTECS_PRO_URL; ?>" target="_blank">
							<?php _e('Purchase','aztecs');?>
							</a>
						</div>
					</div>
				</div>
				<div class="fs-theme-data fs-theme" aria-describedby="fudutheme-action fudutheme-name" 
				    data-slug="fudutheme">
					<div class="theme-screenshot">
						<img src="<?php echo AZTECS_URI ;?>/fst-framework/fst-customizer/assets/images/industrial-agency.jpg" alt="">
					</div>	
					<div class="theme-id-container fs-theme-caption">
						<div class="theme-actions">
							<a class="button button-primary customize load-customize hide-if-no-customize" 
							href="<?php echo AZTECS_PRO_URL1; ?>" target="_blank"> 
								<?php _e('Purchase','aztecs');?>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="import_error_message"></div>
	</div>
<?php }  ?>
		</div> <!-- ./options content -->
	</div> <!-- ./options holder -->
</div> <!-- ./main -->