<?php
/* == Theme Options == */
$wp_customize->add_section('fst_site_layout_options',array(
    'title'=>__('Site Layout', 'aztecs' ),
    'priority'=>1,
    'panel'=>'basic_panel',
));

$wp_customize->add_setting('site_layout_setting', array(
        'type'              => 'theme_mod',
        'default'           => 'site_full',
        'sanitize_callback' =>'sanitize_key' ,
    )
);
$wp_customize->add_control('fst_site_layout',array(
    'type'      => 'select',
    'label'     => esc_html__( 'Site Layout', 'aztecs' ),
    'section'   => 'fst_site_layout_options',
    'settings'  => 'site_layout_setting',
    'choices'   => array(
        'site_full'  => __('Full Width', 'aztecs'), 
        'site_boxed' => __('Boxed', 'aztecs'), 
    )
) );
$wp_customize->add_setting('site_layout_width_setting', array(  
        'default'     => '1170',
        'description' => esc_html__( 'It only applicable when site layout is box width.', 'aztecs'), 
        'sanitize_callback' =>'absint',
    )
);
$wp_customize->add_control('fst_site_layout_width',array(
    'type'          => 'number',
    'label'         => esc_html__( 'Site Layout Width', 'aztecs' ),
    'description'   => esc_html__( 'It only applicable when <b>site layout</b> is in box width.', 'aztecs'),
    'section'       => 'fst_site_layout_options',
    'settings'      => 'site_layout_width_setting'        
) );