<?php
/*
* Fst services  function
* 
*/
if (!function_exists('aztecs_our_services_box_func') && post_type_exists('services')) {
  function aztecs_our_services_box_func($atts){

    $defaults = array(
                'per_page'     => '4',
                'no_of_column' => '4',
              );
    $args     = wp_parse_args($atts, $defaults);   
    $args1    = array(
                  'post_type'      => 'services', 
                  'posts_per_page' => $args['per_page'], 
                  'orderby'        =>'title',
                  'order'          => 'asc' 
                );
     $loop    = new WP_Query($args1);
         $services_item = ""; 
     if ($loop->have_posts()) {
        while ($loop->have_posts()) {
           $loop->the_post();
           $icon                = get_post_meta(get_the_ID(),'_fst_service_icon',true); 
           $services_icon_color = get_post_meta(get_the_ID(),'_services_icon_color',true); 
           $icon_color_style    = 'style = "color: '.$services_icon_color.'"';
           $img                 = get_the_post_thumbnail_url();
           $img                 = ($img=="") ? get_template_directory_uri().
                                    "/fst-framework/fst-customizer/assets/images/default-image.jpg" : $img;   
           $fst_column_class    = 'col-md-4 col-lg-4';
           
           ob_start();
           get_template_part('template-parts/addons/services/services');
           $fst_services_contents = ob_get_clean();
           $contents              = wp_trim_words( get_the_content(), 15 );
           $replace               = array('{{image}}','{{heading}}','{{content}}','{{column_class}}','{{permalink}}','{{icon}}','{{style}}');
           $to  = array(esc_url($img),get_the_title(),strip_tags($contents), $fst_column_class, get_post_permalink(),$icon, $icon_color_style);
          $services_item .= str_replace($replace,$to, $fst_services_contents);
        }
        wp_reset_query();
        return $services_item;
     } else {
        if(is_user_logged_in()) {
          echo "<p class='services-msg'><a href='".esc_url( home_url( '/' ))."wp-admin/post-new.php?post_type=services' target='_blank'>".__('Click Here', 'aztecs')."</a>".__(' to Manage Feature or ', 'aztecs')."<a href='".esc_url( home_url( '/' ))."wp-admin/themes.php?page=demo-fudutheme&active_tab=import-demo' target='_blank'>".__('Import ', 'aztecs')."</a>".__('demo data of theme.', 'aztecs')."</p>";
        }
     }
  }
}