<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' )); ?>" 
   title="<?php echo get_bloginfo( 'name' ); ?>"> 
   <?php
         $fs_desc = get_bloginfo( 'description' );
         $default_logo = get_template_directory_uri().'/assets/images/logo_4.png';
         $fst_logo_id = get_theme_mod( 'custom_logo',  $default_logo ); 
         $fst_custom_logo_url = wp_get_attachment_image_url( $fst_logo_id , 'full' );
      if ($fst_custom_logo_url && !empty($fst_logo_id)) {
         echo '<img class="img-fluid" src="'.esc_url($fst_custom_logo_url).'" alt="'. get_bloginfo( 'name' ) .'">';
      } elseif (get_bloginfo('name')) {
         echo '<div><span class="site-name">'. get_bloginfo( 'name' ) .'</span>';
         $show_cls=(!empty($fs_desc) ? '' : 'fs-theme-tagline' );
         echo '<p class="'.$show_cls.'">'. get_bloginfo( 'description' ) .'</p></div>';
      } else {
         echo '<img class="img-fluid" src="'.get_template_directory_uri().'/assets/images/logo_4.png" alt="'. get_bloginfo( 'name' ) .'">';
      } 
   ?>
</a>