<?php
global $section;
$attr     = isset($section['section_settings']) ? $section['section_settings'] : '';
$bg_image = aztecs_get_section_setting_val('section_10','callaction_bg_image',$attr,
            get_template_directory_uri().'/assets/images/bg/bg_cta.jpg');
?>
<!-- call-action section -->
<section id="fs-callaction" class="fs-callaction <?php echo $section['html_class']; ?>"  
    style="background-image: url(<?php echo esc_url($bg_image); ?>)">
  <div class="bg-overlay"></div>
    <div class="container">
        <div class="row">
            <div class="col-xl-8 mx-auto">
                <div class="fs-callaction-wrapper">
                    <h2>
                        <?php echo aztecs_get_section_setting_val('section_10','callaction_text1',$attr,'Do You Have Any Project?'); ?>
                    </h2>
                    <h2>
                        <?php echo aztecs_get_section_setting_val('section_10','callaction_text2',$attr,'Contact Us'); ?>
                    </h2>
                    <a class="theme-button theme-button-primary" 
                        href="<?php echo esc_url(aztecs_get_section_setting_val('section_10','callaction_btn_link',$attr,'#.')); ?>" target="_blank">
                        <?php echo aztecs_get_section_setting_val('section_10','callaction_btn_text',$attr,'CONTACT US'); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>
</section><!-- /.fs-call-action -->