<?php
global $section;
$attr = isset($section['section_settings']) ? $section['section_settings'] : '';
$bg_image             = aztecs_get_section_setting_val('section_4','counter_bg_image', $attr,get_template_directory_uri(). '/assets/images/bg/bg_counter_2.jpg');
$counter_show             = aztecs_get_section_setting_val('section_4','counter_show', $attr,'no');
$default_counter1_img = get_template_directory_uri().'/assets/images/cta/smiley.png';
$default_counter2_img = get_template_directory_uri().'/assets/images/cta/appointment_2.png';
$default_counter3_img = get_template_directory_uri().'/assets/images/cta/coffee_cup_2.png';
$default_counter4_img = get_template_directory_uri().'/assets/images/cta/list_2.png';

?>
<!-- Start Counter -->
<section id="fs-counter" class="fs-counter <?php echo $section['html_class']; ?>"
 style="background-image: url(<?php echo esc_url($bg_image) ?>)">
    <div class="fs-bg-overlay-3"></div>

    <div class="container">
        <h4 class="fs-tagline">
                <?php _e('Counter', 'aztecs'); ?>
            </h4>
        <div class="row">
            
            <?php if($counter_show == 'yes') { ?>
                <div class="col-xl-3 col-md-6 col-sm-6">
                    <div class="fs-counter-wrapper fs-d-flex fs-flex-center shadow-lg text-center">
                        <div class="icon">
                            <img src="<?php echo esc_url(aztecs_get_section_setting_val('section_4','counter1_image',$attr, $default_counter1_img)); ?>" alt="smile icon">
                        </div>
                        <div class="fs-cont">
                            <h3>
                                <span class="numscroller" data-min="1" data-max="<?php echo aztecs_get_section_setting_val('section_4','counter1_count',$attr,869); ?>" 
                                     data-delay="24" data-increment="10">
                                    <?php echo aztecs_get_section_setting_val('section_4','counter1_count',$attr, 869); ?>
                                </span>+</h3>
                            <p style="color: <?php echo aztecs_get_section_setting_val('section_4','counter_text_color',$attr,'#5f6e7b');?>">
                                <?php echo aztecs_get_section_setting_val('section_4','counter1_content',$attr,'Satisfied'); ?>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="col-xl-3 col-md-6 col-sm-6">
                    <div class="fs-counter-wrapper fs-d-flex fs-flex-center shadow-lg">
                        <div class="icon">
                            <img src="<?php echo esc_url(aztecs_get_section_setting_val('section_4','counter2_image',$attr, 
                                $default_counter2_img)); ?>" alt="appointment icon">
                        </div>
                        <div class="fs-cont">
                            <h3>
                                <span class="numscroller" data-min="1" data-max="<?php echo aztecs_get_section_setting_val('section_4','counter2_count',$attr, 1620); ?>" data-delay="24" data-increment="10">
                                    <?php echo aztecs_get_section_setting_val('section_4','counter2_count',$attr, 1620); ?>
                                </span>+</h3>
                            <p style="color: <?php echo aztecs_get_section_setting_val('section_4','counter_text_color',$attr,'#5f6e7b');?>">
                                <?php echo aztecs_get_section_setting_val('section_4','counter2_content',$attr,'Worked'); ?>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="col-xl-3 col-md-6 col-sm-6">
                    <div class="fs-counter-wrapper fs-d-flex fs-flex-center shadow-lg">
                        <div class="icon">
                            <img src="<?php echo esc_url(aztecs_get_section_setting_val('section_4','counter3_image',$attr,
                             $default_counter3_img)); ?>" alt="coffee icon">
                        </div>
                        <div class="fs-cont">
                            <h3>
                                <span class="numscroller" data-min="1" data-max="<?php echo aztecs_get_section_setting_val('section_4','counter3_count',$attr,600); ?>"  
                                    data-delay="24" data-increment="10">
                                    <?php echo aztecs_get_section_setting_val('section_4','counter3_count',$attr, 600); ?>
                                </span>+</h3>
                            <p style="color: <?php echo aztecs_get_section_setting_val('section_4',
                                 'counter_text_color',$attr,'#5f6e7b');?>">
                                <?php echo aztecs_get_section_setting_val('section_4','counter3_content',$attr,"Coffee Cup"); ?>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="col-xl-3 col-md-6 col-sm-6">
                    <div class="fs-counter-wrapper fs-d-flex fs-flex-center  shadow-lg">
                        <div class="icon">
                            <img src="<?php echo esc_url(aztecs_get_section_setting_val('section_4', 'counter4_image',$attr, $default_counter4_img)); ?>" alt="project icon">
                        </div>
                        <div class="fs-cont">
                            <h3> 
                                <span class="numscroller" data-min="1" data-max="<?php echo aztecs_get_section_setting_val('section_4','counter4_count',$attr, 128); ?>" 
                                    data-delay="24" data-increment="10">
                                    <?php echo aztecs_get_section_setting_val('section_4','counter4_count',$attr,128); ?>
                                </span>+</h3>
                            <p style="color: <?php echo aztecs_get_section_setting_val('section_4',
                                'counter_text_color',$attr,'#5f6e7b');?>">
                                <?php echo aztecs_get_section_setting_val('section_4','counter4_content',$attr,'Project'); ?>
                            </p>
                        </div>
                    </div>
                </div>
        <?php } ?>
        </div>
    </div>
</section>
<!-- End Counter -->