<?php
global $section;
$attr               = isset($section['section_settings']) ? $section['section_settings'] : '';
$blog_no_of_records = aztecs_get_section_setting_val('section_9','news_no_of_records',$attr,3);
$no_of_item         = aztecs_get_section_setting_val('section_9','news_no_of_items',$attr,3);
$link_text          = aztecs_get_section_setting_val('section_9','news_link_text',$attr,'Read More');
?>

<!-- blog section -->
<section class="fs-blog p-t70 p-b70 <?php echo $section['html_class']; ?>">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 mx-auto">
                <div class="fs-heading text-center">
                    <h4 class="fs-tagline">
                        <?php echo aztecs_get_section_setting_val('section_9','news_tagline',$attr,'News:'); ?>   
                    </h4>
                    <h2 class="fs-title fs-blog-title">
                        <?php echo aztecs_get_section_setting_val('section_9','news_heading',$attr,
                        'Latest Blog'); ?>   
                    </h2>
                </div>
            </div>
        </div>
        
        <?php 
        $attrs = array( 
                    "type"      => "top",
                    "column"    => $no_of_item,
                    "per_page"  => $blog_no_of_records,
                    "link_text" => $link_text
                );
        if (function_exists('aztecs_latest_news_box_func')) {
          echo aztecs_latest_news_box_func($attrs);
        }
        ?>
    </div>
</section><!-- /.Blog Section -->