<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */
get_header(); 
/* Start Blog Header */
?>
 <section class="fs-banner-inner all-posts">
    <div class="container">
      <div class="fs-banner-content">
        <h1><?php echo esc_html(get_the_title()); ?></h1>
           <!-- Breadcrumb row -->
      </div>
    </div><!-- ./containerr -->
  </section><!-- /.banner -->
<section class="fs-404 p-t70 p-b70">
  <div class="container">
    <div class="fs-page-404 text-center">
      <h1><?php esc_html_e('404', 'aztecs'); ?></h1>
      <h2><?php esc_html_e('Oops, page note found', 'aztecs'); ?></h2>
      <p><?php esc_html_e('The link might be corrupted', 'aztecs'); ?></p>
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="theme-button theme-button-primary"> 
        <?php esc_html_e("Go to Home Page", 'aztecs'); ?>
      </a>
    </div>
  </div><!-- ./containerr -->
</section>
<!-- ./fs-404 -->
<?php
get_footer();