/*
* All copyright @FuduTheme 2019
*/
(function($) {
	wp.customize.bind( 'preview-ready', function() {
		if( sections_class.length>0 ){
			var section_classes = sections_class;
			$( section_classes ).each(function(key,value) {
				var section_count = key+1;
				wp.customize.preview.bind( 'section-highlight-'+value, function( data ) {
					if ( true === data.expanded ) {
						var $container = $("html,body");
						var $scrollTo = $('.fst_'+data.sec_highlight);
						if (top_bar_sticky == 'yes') {
							$container.animate({scrollTop:$scrollTo.position().top-80}, 'slow');
						} else {
							$container.animate({scrollTop:$scrollTo.position().top}, 'slow');	
						}
					} else {
						$('html, body').animate({ scrollTop: $('body').offset().top }, 'slow');
					}
				});
			} );
		}

		wp.customize.preview.bind( 'footer_panel', function( data ) {
			if ( true === data.expanded ) {
				var $container = $("html,body");
				var $scrollTo = $('footer');
				$container.animate({scrollTop:$scrollTo.position().top}, 'slow');
			} else {
				$('html, body').animate({ scrollTop: $('body').offset().top }, 'slow');
			}
		});

		wp.customize.preview.bind( 'goto_pro', function( data ) {
			if ( true === data.expanded ) {
				window.location.href = pro_url;
			} 
		});

	});
})( jQuery );