<?php
 function aztecs_init_theme_validation_scripts() {
   wp_enqueue_script( 'validate-js', get_template_directory_uri() . '/fst-framework/fst-customizer/assets/js/jquery.validate.min.js', array('jquery'), THEME_VERSION, true );
 }
add_action('wp_enqueue_scripts', 'aztecs_init_theme_validation_scripts');
function aztecs_comment_validation_init() {
  if (is_single() && comments_open() ) { ?>        
    <script type="text/javascript">
      jQuery(document).ready(function($) {
          $('#commentform').validate({
              rules: {
                  author: {
                    required: true,
                    minlength: 2
                  },
                  email: {
                    required: true,
                    email: true
                  },
                  comment: {
                    required: true
                  }
              },
              messages: {
                author: "Please fill the required field",
                email: "Please enter a valid email address.",
                comment: "Please fill the required field"
              },
              errorElement: "div",
              errorPlacement: function(error, element) {
                element.after(error);
              }

          });
      });
    </script>
    <?php
  }
}
add_action('wp_footer', 'aztecs_comment_validation_init');
?>