<?php
/**
 * Template Name: Home Page
 * The template for displaying all front pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */

get_header();
$show_hide_posts_page = get_option( 'show_on_front' );
if ($show_hide_posts_page == 'page') {
   do_action('aztecs_load_homepage_sections');
} else {
   get_template_part('template-parts/latest-posts/front_page_posts');
}
get_footer();