<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @package WordPress
 * @subpackage Aztecs
 * @since 1.0.0
 * @version 1.0.0
 */
get_header(); 

?>
 <section class="fs-banner-inner all-posts">
    <div class="container">
      <div class="fs-banner-content">
        <h1><?php _e('Search', 'aztecs'); ?></h1>  
      </div>
    </div><!-- ./containerr -->
  </section><!-- /.banner -->
<!-- Write all section inside content -->
<section class="fs-search p-t70 p-b70">
    <div class="container">
        <div class="fs-search-inner p-b70">
    		<div class="search-bx">
    			<?php get_template_part( 'template-parts/content/searchform', '' ); ?>
            </div>
    	</div>
        <div class="row fs-search-block">
			<?php 
			if(have_posts()) { 
				while ( have_posts() ) {
					the_post();
					get_template_part( 'template-parts/content/content', 'loop' );
				}
			
				if(function_exists('aztecs_post_pagination')) {
					aztecs_post_pagination();
				}
			} else {
				echo '<div class="col-lg-12 mt-4"><h1 style="text-align: center;">
				 __("No Record Found!", "aztecs");</h1><div>';
			}
			?>
        </div>
    </div><!-- ./containerr -->
</section>
<!-- ./fs-404 -->

<?php get_footer();