<?php 
$fixed_header         = get_theme_mod('top_bar_sticky_setting','yes'); 
$is_sticky            = ($fixed_header == 'yes') ? 'fs_main_navbar' : 'fs-main-navbar-normal';
$fs_fixedheader_class ='';
if ($fixed_header=='yes') {
    $fs_fixedheader_class ='fixed-top';
}
?>
<nav  id="fs-main-navbar" class="navbar <?php echo $fs_fixedheader_class; ?> navbar-expand-xl 
    fs-custom-nav  pt-0 pb-0">
    <div class="container">
        <?php get_template_part('template-parts/header/brand'); ?>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="navbar-collapse navbarNav v2-link-color collapse" id="navbarNav">
            <?php
                if ( has_nav_menu( 'top' ) ){
                    wp_nav_menu(array( 'theme_location' => 'top',
                        'menu_id'    => 'top-menu',
                        'container'  => 'ul',
                        'menu_class' => 'navbar-nav fs-menu fs-menu ml-auto',
                        'menu_id'    => 'top-menu'
                    ));
                }
            ?>   
            <a href="<?php echo esc_url(get_theme_mod('header_button_link_setting','#.')); ?>" class="theme-button theme-button-primary fs-custom-shadow">
                <?php echo get_theme_mod('header_button_label','CONTACT US'); ?>
            </a>
        </div><!-- /.navbar-collapse -->
    </div>
</nav>