<?php
global $section;
$attr            = isset($section['section_settings']) ? $section['section_settings'] : '';
$slider_btn_show = aztecs_get_section_setting_val('section_1','slider_btn_show',$attr,true);
?>
<!-- Slider Start --> 
<section id="fs-main-slideshow" class="fs-slideshow <?php echo $section['html_class']; ?>">
    <div class="fs-carousel-wrapper">

    <?php
        $attr = array(
                "btn_show"           => $slider_btn_show,
                "items"              => 1,
                "loop"               => (aztecs_get_section_setting_val('section_1','slider_loop',
                                         $attr,true) == "true") ? true : false,
                "nav"                => (aztecs_get_section_setting_val('section_1','slider_nav',
                                        $attr,true) == "true") ? true : false,
                "dots"               => (aztecs_get_section_setting_val('section_1','slider_dots',
                                        $attr,true) == "true") ? true : false,
                "mouseDrag"          => (aztecs_get_section_setting_val('section_1','slider_mouse_drag',
                                        $attr,true) == "true") ? true : false,
                "autoplay"           => (aztecs_get_section_setting_val('section_1','slider_autoplay',
                                        $attr,true) == "true") ? true : false,
                "autoplayHoverPause" => (aztecs_get_section_setting_val('section_1','slider_autoplayHoverPause',
                                       $attr,true) == "true") ? true : false,
                "smartSpeed"         => intval(aztecs_get_section_setting_val('section_1','slider_smart_speed',
                                       $attr,1000)),
                 "video"             => true,
                 "lazyLoad"          => true,
                 "videoWidth"        => false, 
                 "videoHeight"       => false, 
            );

        if(function_exists('aztecs_sliders_func')) {
            echo aztecs_sliders_func($attr);
        }
    ?>
    </div>
</section>
<!-- /Slideshow -->