<?php
global $section;
$attr               = isset($section['section_settings']) ? $section['section_settings'] : '';
$contact_iframe_map = aztecs_get_section_setting_val('section_11','contact_iframe_map',$attr);
?>
<!-- Start Contact -->
<section id="fs-contact-area" class="fs-contact-area p-t100 p-b100 <?php echo $section['html_class']; ?>">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-9 col-md-10 mx-auto">
                <div class="fs-heading fs-section-content text-center">
                    <h4 class="fs-tagline"> 
                        <?php echo aztecs_get_section_setting_val('section_11','contact_tagline',$attr,'Contact Us'); ?>
                    </h4>
                    <h2 class="fs-title fs-contact-title">
                        <?php echo aztecs_get_section_setting_val('section_11','contact_heading',$attr,
                        'Get In Touch With Us'); ?>
                    </h2>
                </div>
            </div>
        </div>
        <div class="row margin-top-7">
            <div class="col-xl-5 col-lg-6">
                <div class="contact-wrapper section-title-v2">
                    <div class="icon">
                        <i class="<?php echo aztecs_get_section_setting_val('section_11','contact_first_icon',$attr,'fa fa-map-marker-alt'); ?>">
                        </i>
                    </div>
                    <div class="content">
                        <h3>
                            <?php echo aztecs_get_section_setting_val('section_11','contact_address_title',
                            $attr,'Location'); ?>
                        </h3>
                        <span>
                            <?php echo aztecs_get_section_setting_val('section_11','contact_address_content',$attr,
                            '54B, Tailstoi Town 5238 MT,La city, IA 522364'); ?> 
                        </span>
                    </div>
                </div>
                <div class="contact-wrapper section-title-v2">
                    <div class="icon">
                        <a href="tel:<?php echo aztecs_get_section_setting_val('section_11','contact_phn_number',$attr,'+91- 4568749'); ?>">
                            <i class="<?php echo aztecs_get_section_setting_val('section_11','contact_second_icon',$attr,'fa fa-phone'); ?>">
                            </i>
                        </a>
                    </div>
                    <div class="content">
                        <h3>
                            <?php echo aztecs_get_section_setting_val('section_11','contact_phone_title',$attr,
                            'Call Us Now'); ?>
                        </h3>
                        <span class="d-block"> 
                            <a href="tel:<?php echo aztecs_get_section_setting_val('section_11','contact_phn_number',
                                $attr,'+91- 4568749'); ?>">
                                <?php echo aztecs_get_section_setting_val('section_11','contact_phn_number',$attr,
                                '+91- 4568749'); ?>
                            </a>
                        </span>
                    </div>
                </div>
                <div class="contact-wrapper section-title-v2 mb-0">
                    <div class="icon">
                        <a href="mailto:<?php echo aztecs_get_section_setting_val('section_11','contact_email',$attr,'anagha@contact.com'); ?>">
                            <i class="<?php echo aztecs_get_section_setting_val('section_11','contact_third_icon',$attr,'fa fa-envelope-open'); ?>">
                             </i>
                        </a>
                    </div>
                    <div class="content">
                        <h3>
                            <?php echo aztecs_get_section_setting_val('section_11','contact_email_title',$attr,'Email Us'); ?>
                        </h3>
                        <span>
                            <a href="mailto:<?php echo aztecs_get_section_setting_val('section_11','contact_email',$attr,'anagha@contact.com'); ?>">
                               <?php echo aztecs_get_section_setting_val('section_11','contact_email',$attr,'anagha@contact.com'); ?>
                            </a>
                        </span>
                    </div>
                </div>
            </div>
            <div class="col-xl-7 col-lg-6">
                <div class="get-in-touch v2-color section-title-v2">
                        <?php echo do_shortcode(aztecs_get_section_setting_val('section_11','contactus_form_shortcode',
                        $attr,'[contact-form-7 id="118" title="Contact Form"]')); ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End Contact -->
<!-- Contact Map -->
<section class="fs-contact-map">
    <?php echo $contact_iframe_map; ?>
</section>