<?php
global $section;
$attr    = isset($section['section_settings']) ? $section['section_settings'] : '';
$content = '';
?>
<!-- Start AboutUs -->
<section id="fs-aboutus" class="fs-about-us p-b100  <?php echo $section['html_class']; ?>">
    <div class="container">
        <div class="row align-items-center fs-about-inner fs-section-content">
            <div class="col-lg-6">
                <div class="fs-heading">
                    <h4 class="fs-tagline">
                        <?php echo aztecs_get_section_setting_val('section_3','about_tagline',$attr, 'About Us'); ?>   
                    </h4>
                    <h2 class="fs-title fs-about-title">
                        <?php echo aztecs_get_section_setting_val('section_3','about_heading',$attr, 'Great Digital Agency Since 1980'); ?>
                        <span class="line"></span>
                    </h2>
                </div>
                <p><?php echo aztecs_get_section_setting_val('section_3','about_content',$attr, $content); ?></p>
                <?php 
                    $btn_text = aztecs_get_section_setting_val('section_3','about_btn_text',$attr, 'Read More');
                    $btn_link = aztecs_get_section_setting_val('section_3','about_btn_link',$attr, '#.');
                    $btn_show = aztecs_get_section_setting_val('section_3','about_btn_show',$attr, 'yes');
                    if($btn_text && $btn_show == 'yes') {
                        ?>
                        <a href="<?php echo esc_url($btn_link); ?>" class="theme-button theme-button-primary m-t15 fs-custom-shadow"><?php echo $btn_text; ?></a>
                        <?php
                    }
                ?>
            </div>
            <div class="col-lg-6">
                <div class="fs-wrapper-image  mt-lg-30 fs-bg-color">
                    <div class="rectangle d-none d-xl-block"></div>
                    <img class="lazyload img-fluid" src="<?php echo get_template_directory_uri();?>/fst-framework/fst-customizer/assets/images/blankimg.png" data-src="<?php echo esc_url(aztecs_get_section_setting_val('section_3','about_us_image',$attr,get_template_directory_uri().'/assets/images/about/aboutus_2.jpg')); ?>" alt="image" >
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End AboutUs -->