<?php
global $section;
$attr = isset($section['section_settings']) ? $section['section_settings'] : '';
$content = '';
?>
<!-- Services -->
<section id="fs-services" class="fs-services p-t100 p-b100 <?php echo $section['html_class']; ?>">
    <div class="container">
        <div class="row align-items-center fs-services-inner fs-section-content fs-section-title ">
            <div class="col-xl-6 col-lg-6 col-md-12">
                <div class="row fs-services-block">
                   <?php
                    $attrs = array( "per_page" => 4,'no_of_column'=> 4 );
                    if(function_exists('aztecs_our_services_box_func')) {
                       echo aztecs_our_services_box_func($attrs);
                    }
                    ?>
                </div>
            </div>

            <div class="col-xl-6 col-lg-6">
                <div class="fs-heading text-right mt-lg-30">
                    <h4 class="fs-tagline">
                        <?php echo aztecs_get_section_setting_val('section_5','services_tagline',$attr,
                         'Services'); ?>
                    </h4>
                    <h2 class="fs-title fs-service-title">
                        <?php echo aztecs_get_section_setting_val('section_5','services_heading',$attr,
                        'See Our Workflow Process'); ?>
                    </h2>
                    <p><?php echo aztecs_get_section_setting_val('section_5','services_content',$attr,
                     $content); ?></p>
                    <?php 
                        $btn_text = aztecs_get_section_setting_val('section_5','services_btn_text',$attr,
                         'Read More');
                        $btn_link = aztecs_get_section_setting_val('section_5','services_btn_link',$attr,
                         '#.');
                        $btn_show = aztecs_get_section_setting_val('section_5','services_btn_show',$attr, 
                            'yes');
                        if($btn_text && $btn_show == 'yes') { ?>
                            <a href="<?php echo esc_url($btn_link); ?>" class="theme-button theme-button-primary m-t15 fs-custom-shadow">
                                <?php echo $btn_text; ?>
                            </a>
                            <?php
                        }
                    ?>

                </div>
            </div>
        </div>
    </div>
</section><!-- /.services -->