<?php
global $section;
$attr               = isset($section['section_settings']) ? $section['section_settings'] : '';
$no_of_column       = aztecs_get_section_setting_val('section_6','team_no_of_items',$attr,3);
$team_no_of_record  = aztecs_get_section_setting_val('section_6','team_no_of_record',$attr,4);
$show_type          = aztecs_get_section_setting_val('section_6','team_show_type',$attr,'slide');
?>
<!-- team-section -->
<section id="fs-team" class="fs-team <?php echo $section['html_class']; ?>">
  <div class="container">
    <div class="row">
      <div class="col-xl-8 col-lg-9 col-md-10 mx-auto">
        <div class="fs-heading fs-section-content text-center">
          <h4 class="fs-tagline"> 
            <?php echo aztecs_get_section_setting_val('section_6','team_tagline',$attr,'Our Team'); ?>        
          </h4>
          <h2 class="fs-title fs-team-title"><?php echo aztecs_get_section_setting_val('section_6','team_heading',$attr,'Our Top Expertise'); ?>
          </h2>
        </div>
      </div>
    </div>
      <?php 
      if ($show_type == 'slide') {

          $responsive_arr = array(
                              array(
                                  "breakpoint" => 1280, 
                                  "settings"   => array('slidesToShow' => intval(aztecs_get_section_setting_val('section_6','team_no_of_items',$attr,3)))
                                ),
                              array(
                                  "breakpoint" => 991, 
                                  "settings"   => array('slidesToShow' => intval(aztecs_get_section_setting_val('section_6','team_tablet',$attr,2)))
                                ),
                              array(
                                  "breakpoint" => 767, 
                                  "settings"   => array('slidesToShow' => intval(aztecs_get_section_setting_val('section_6','team_mobile',$attr,1)))
                                ),
                              array(
                                  "breakpoint" => 480, 
                                  "settings"   => array('slidesToShow' => intval(aztecs_get_section_setting_val('section_6','team_device',$attr,1)))
                                ),
                              array(
                                  "breakpoint" => 0, 
                                  "settings"   => array('slidesToShow' => intval(aztecs_get_section_setting_val('section_6','team_device',$attr,1)))
                                ),
                            );
  
          $attr = array(
                      "team_no_of_record" => intval(aztecs_get_section_setting_val('section_6','team_no_of_record',
                                             $attr,4)),
                      "slidesToShow"      => intval(aztecs_get_section_setting_val('section_6','team_no_of_items',
                                             $attr,3)),
                      "autoplay"           => (aztecs_get_section_setting_val('section_6','team_autoplay',
                                             $attr,true) == "true") ? true : false,
                      "autoplaySpeed"      => intval(aztecs_get_section_setting_val('section_6','team_autoplaySpeed',
                                             $attr,2000)),
                      "dots"              => (aztecs_get_section_setting_val('section_6','team_dots',
                                              $attr,true) == "true") ? true : false,
                      "draggable"         => (aztecs_get_section_setting_val('section_6','team_draggable',
                                             $attr,true) == "true") ? true : false,
                      "infinite"           => (aztecs_get_section_setting_val('section_6','team_infinite',
                                             $attr,true) == "true") ? true : false,
                      "responsive"         => $responsive_arr,
                  );
      } else {
          $attr = array( 
                      "team_no_of_record"   => $team_no_of_record,
                      "no_of_item"          => $no_of_column,
                      "show_type"           => $show_type,
                    );
      }
      if (function_exists('aztecs_our_team_box_func')) {
        echo aztecs_our_team_box_func($attr);
      } 
    ?>
  </div>
</section><!-- /.team-section -->