<?php
global $section;
$attr             = isset($section['section_settings']) ? $section['section_settings'] : '';
$blockquote_icon  = aztecs_get_section_setting_val('section_7','testimonial_blockquote_icon',$attr,'fas fa-quote-right');
$testimonial_no_of_record = aztecs_get_section_setting_val('section_7','testimonial_no_of_record',$attr,2);
?>
<!-- testimonial Section -->
<section id="fs-testimonials" class="fs-testimonial p-t100 p-b70 <?php echo $section['html_class']; ?>">
  <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-9 col-md-10 mx-auto">
                <div class="fs-heading fs-feedback fs-section-content text-center">
                    <span><i class="<?php echo $blockquote_icon; ?>"></i></span>
                    <h2 class="fs-title fs-testimonial-title">
                      <?php echo aztecs_get_section_setting_val('section_7','testimonial_heading',$attr,
                      'Our Client Feedback');  ?>
                    </h2>
                </div>
            </div>
        </div>
        <?php 
            $attr = array(
                          "blockquote_icon"          => $blockquote_icon,
                          "testimonial_no_of_record" => intval($testimonial_no_of_record),
                          "slidesToShow"             => intval('1'),
                          "arrows"                   => (aztecs_get_section_setting_val('section_7','testimonial_nav',
                                                         $attr,true) == "true") ? true : false,
                          "autoplay"                 => (aztecs_get_section_setting_val('section_7','testimonial_autoplay'
                                                        ,$attr,true) == "true") ? true : false,
                          "autoplaySpeed"            => intval(aztecs_get_section_setting_val('section_7',
                                                       'testimonial_autoplaySpeed',$attr,500)),
                          "draggable"                => (aztecs_get_section_setting_val('section_7',
                                                       'testimonial_draggable',$attr,true) == "true") ? true : false,
                          "infinite"                 => (aztecs_get_section_setting_val('section_7','testimonial_infinite'
                                                          ,$attr,true) == "true") ? true : false,
                        );
                
            if (function_exists('aztecs_our_testimonial_box_func')) {
               echo aztecs_our_testimonial_box_func($attr);
            } 
        ?>
    </div>
</section><!-- /.testimonial Section -->