<?php
  global $section;
  $attr                 = isset($section['section_settings']) ? $section['section_settings'] : '';
  $pricing_button_title = aztecs_get_section_setting_val('section_8','pricing_button_title',$attr,
                          'SIGN UP NOW');
?>
<!-- Pricing-plan Section -->
<section id="fs-price" class="fs-price p-t70 <?php echo $section['html_class']; ?>">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-9 col-md-10 mx-auto">
                <div class="fs-heading text-center">
                    <h4 class="fs-tagline">
                      <?php echo aztecs_get_section_setting_val('section_8','pricing_tagline',$attr,
                         'Pricing Table'); ?>
                    </h4>
                    <h2 class="fs-title fs-price-title">
                      <?php echo aztecs_get_section_setting_val('section_8','pricing_heading',$attr,'Our Pricing Plan'); ?>
                    </h2>
                </div>
            </div>
        </div>
       
      <?php 
        $pricing_arr = array(
                            "no_of_record"         => aztecs_get_section_setting_val('section_8',
                                                     'pricing_no_of_record', $attr),
                            "no_of_item"           => aztecs_get_section_setting_val('section_8',
                                                     'pricing_no_of_column',$attr),
                            "pricing_button_title" => $pricing_button_title
                          );
        if (function_exists('aztecs_pricing_box_func')) {
            echo aztecs_pricing_box_func($pricing_arr);
        } 
      ?>
    </div>
</section>
<!-- End Price -->